SystemOrganization addCategory: #ConfigurationOfObjectBrowser!

Object subclass: #ConfigurationOfObjectBrowser
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfObjectBrowser'!

!ConfigurationOfObjectBrowser class methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 3/15/2010 20:58'!
ensureMetacello
	Smalltalk at: #MetacelloProject ifAbsent: [
		Gofer new
				url: 'http://seaside.gemstone.com/ss/metacello';
				package: 'ConfigurationOfMetacello';
				load.
		(Smalltalk at: #ConfigurationOfMetacello) loadLatestVersion ]! !

!ConfigurationOfObjectBrowser class methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 3/15/2010 20:58'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfObjectBrowser class methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 12/28/2010 15:55'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfObjectBrowser class methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 3/15/2010 20:59'!
loadDefault
	(self project version: '0.1-version') load! !

!ConfigurationOfObjectBrowser class methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 11/10/2010 23:59'!
loadLast
	self project lastVersion load! !

!ConfigurationOfObjectBrowser class methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 3/15/2010 20:59'!
project

	^self new project! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 12/28/2010 17:33'!
baseline10: spec 
    <version: '1.0-baseline'>
	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/ObjectBrowser'.
		spec
			project: 'smallUML' with: [ spec className: 'ConfigurationOfSmallUML'; 
											loads: #('default' );
											file: 'ConfigurationOfSmallUML';
											repository: 'http://www.squeaksource.com/smallUML'. ];
			package: 'CommandShell' with: [ spec repository: 'http://www.squeaksource.com/CommandShell'. ];
			package: 'GraphViz';
			package: 'ObjectBrowser' with: [ spec requires: #('smallUML' 'GraphViz' 'CommandShell' 'externalCommands') ].
		].
	spec for: #unix do: [
		spec 
			project: 'externalCommands' with: [ 
				spec className: 'ConfigurationOfOSProcess'; 
						file: 'ConfigurationOfOSProcess';
						repository: 'http://www.squeaksource.com/MetacelloRepository'.
			].
			spec postLoadDoIt: #initializeOSProcess.
		].
	spec for: #Win32 do: [
		spec
			project: 'externalCommands' with: [ 
				spec repository: 'http://www.squeaksource.com/MetacelloRepository'. 
				spec className: 'ConfigurationOfFFI'.
		]
	].! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 11/11/2010 01:33'!
initializeOSProcess.
	(Smalltalk globals at: #ThisOSProcess) initialize! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 12/28/2010 16:07'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) new.
		constructor project projectAttributes: (Array with: Smalltalk os platformName asSymbol).
		constructor on: self.
		project := constructor project.
		project]! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 12/28/2010 15:52'!
stable: spec 
	<symbolicVersion: #stable>
	
	spec for: #'pharo1.1' version: '1.0'. 
! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 12/28/2010 17:33'!
version10: spec 
    <version: '1.0' imports: #('1.0-baseline')>
	spec for: #common do:[
		spec blessing: #release.
		spec project: 'smallUML' with: '1.0'.
		spec package: 'CommandShell' with: 'CommandShell-dtl.49'.
		spec package: 'GraphViz' with: 'GraphViz-GuillermoPolito.47'.
		spec package: 'ObjectBrowser' with: 'ObjectBrowser-GermanLeiva.334'.
	].
	spec for: #unix do: [
		spec project: 'externalCommands' with: '4.3.12'.
	].
	spec for: #Win32 do: [
		spec project: 'externalCommands' with: '1.4'.
	]! !

!ConfigurationOfObjectBrowser methodsFor: 'as yet unclassified' stamp: 'GuillermoPolito 12/29/2010 00:28'!
version11: spec 
    <version: '1.1' imports: #('1.0-baseline')>
	spec for: #common do:[
		spec blessing: #release.
		spec project: 'smallUML' with: '1.0'.
		spec package: 'CommandShell' with: 'CommandShell-dtl.49'.
		spec package: 'GraphViz' with: 'GraphViz-GuillermoPolito.48'.
		spec package: 'ObjectBrowser' with: 'ObjectBrowser-GuillermoPolito.336'.
	].
	spec for: #unix do: [
		spec project: 'externalCommands' with: '4.3.12'.
	].
	spec for: #Win32 do: [
		spec project: 'externalCommands' with: '1.4'.
	]! !
